<template>
  <div class="active-filters-wrapper" :class="{ active: isActiveFiltersOpened }">
    <div class="active-filters-list">
      <div class="active-filter" v-for="filter in activeFilters" :key="filter.name">
        <p class="active-filter-name">{{ filter.name }}</p>
        <button class="close-btn" @click="() => removeFilter(filter)">
          <img src="@/assets/icons/close.svg" alt="close" />
        </button>
      </div>
    </div>
    <h2 class="results-title">{{ totalCount }} RESULTS FOUND</h2>
    <button class="filter clear-btn" v-if="activeFilters.length" @click="() => clearFilters()">
      CLEAR FILTERS
    </button>
  </div>
</template>
<script lang="ts">
import { type ActiveFilter } from '@/types/glasses'
export default {
  props: {
    totalCount: {
      type: Number,
      required: true
    },
    isActiveFiltersOpened: {
      type: Boolean,
      required: true
    },
    activeFilters: {
      type: Array as () => ActiveFilter[],
      required: true
    },
    removeFilter: {
      type: Function,
      required: true
    },
    clearFilters: {
      type: Function,
      required: true
    }
  }
}
</script>
